
/* ##############################################################
	설  명 : [Modal]1:1문의 답변 조회 팝업
	작성일 : 2023. 01. 19.
	작성자 : NTsoft
	수정일 	        수정자 	 수정내용
	-------         -------- ---------------------------
	2023. 01. 19.	NTsoft 	 최초 생성
*/
let appUserInquirySelectModal = {
    callback : null,
    reqParam : null,
    dataList : null,
    /* 모달 초기화 작업 */
    init : function () {
        $('#appUserInquirySelectModal').remove();
        $('body').append( this.HtmlTemplate);
        //그리드 이벤트
        this.setEvent();
    },
    /* 그리드 이벤트 설정 */
    setEvent:function() {
        $('#appUserInquirySelectModal .btnCancle').on("click", function(){
            appUserInquirySelectModal.close();
        });

    },
    // 상세 조회
    search:function(state) {
        let muAppUserInquiryId = appUserInquirySelectModal.reqParam.muAppUserInquiryId;

        if(true != fn_emptyCheck(muAppUserInquiryId)){
            modalEvent.warning("조회", "문의사항 정보가 없습니다.");
            return;
        }

        let formData = new FormData();
        formData.append("menuClass", menuClass);
        formData.append("muAppUserInquiryId", muAppUserInquiryId);

        $.ajax({
            url: encodeURI('/webuserinquiry/selectAppUserInquiry.do'),
            data: formData,
            dataType: "json",
            processData: false,
            contentType: false,
            type: 'POST',
            async: true,
            success: function(data){
                if('0'==data.msgCode){
                    $("#appUserInquirySelectModal .modal-header p").text(data.rows[0].userName+' 문의내역');
                    $("#appUserInquirySelectModal #modalTitle").text(data.rows[0].title);
                    $("#appUserInquirySelectModal #modalContent").text(data.rows[0].content);
                    $("#appUserInquirySelectModal #answer").val(data.rows[0].answer);
                }
                else{
                    modalEvent.danger("조회 오류", data.msgDesc);
                }
            },
            error : function(xhr, status, error) {
                modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            },
            beforeSend:function(){

            },
            complete:function(){

            }
        });
    },
    /*
     * 팝업
     * callback : 콜백함수, reqParam: 팝업파라미터
     */
    popup:function(callback, reqParam) {
        // 초기화 후 열기
        appUserInquirySelectModal.init();

        //콜백함수 지정.
        appUserInquirySelectModal.callback = callback;
        appUserInquirySelectModal.reqParam = reqParam;
        appUserInquirySelectModal.dataList = null;

        setTimeout(function(){
            $('#appUserInquirySelectModal').modal('show')
        }, 200);

        appUserInquirySelectModal.search();
    },
    /*
     * 팝업 닫기
     */
    close:function() {
        $('#appUserInquirySelectModal').modal('hide');

		setTimeout(function(){
			$('#appUserInquirySelectModal').remove();
		},500);
    },
    HtmlTemplate : `
	<div id="appUserInquirySelectModal" class="modal inquiry_modal fade" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<p class="title">- 문의내역</p>
				</div>
	
				<div class="modal-body">
					<div class="inquiry_box">
						<div class="inquiry_title">
							<p id="modalTitle"></p>
						</div>

						<div class="inquiry_content">
                            <p id="modalContent"></p>
                        </div>
                    </div>
                    <div class="textarea_box">
                        <label>문의 답변</label>
                        <textarea placeholder="내용을 입력해주세요." id="answer" readonly></textarea>
                    </div>
				</div>

				<div class="modal-footer">
					<div class="btn_box">
						<button type="button" class="cancel_btn btnCancle">확인</button>
					</div>
				</div>
			</div>
		</div>
	</div>
    `
};